Hot News aus dem CAD.de-Newsletter:

Mit Unterstützung durch:

  Foren auf CAD.de (alle Foren)
  Lisp
  ScaleArea

Antwort erstellen  Neues Thema erstellen
CAD.de Login | Logout | Profil | Profil bearbeiten | Registrieren | Voreinstellungen | Hilfe | Suchen

Anzeige:

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen nächster neuer Beitrag | nächster älterer Beitrag
Autor Thema:   ScaleArea (334 mal gelesen)
JoeCadler
Mitglied


Sehen Sie sich das Profil von JoeCadler an!   Senden Sie eine Private Message an JoeCadler  Schreiben Sie einen Gästebucheintrag für JoeCadler

Beiträge: 3
Registriert: 02.01.2020

AutoCad 2018 mechanical, AutoCad 2018

erstellt am: 02. Jan. 2020 19:37    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo,
wünsche erstmal noch ein frohes neues Jahr.

Ich habe ein Problem und kann nach längerer Suche leider immer noch keine Lösung finden.

Wir arbeiten mit ACAD 2018 mechanical und den ScaleAreas.

Eine Scalearea erstellt man in Mechanical im Modellbereich und gibt den Maßstab an. Bei Textscaling wird der Text entsprechend grö0er oder kleiner dem Maßstab erstellt, damit er im Layout wieder passt.

Ich suche nun eine Möglichkeit im Modelbereich den Maßstab des Bereiches zu ermitteln.
Es gibt den Scale Monitor. Wenn man den wählt und im Modelbereich über den blauen Polylinienrahmen fährt zeigt er den Maßstab für diesen Bereich an.

Ich suche eine Funktion, Variable oder Property für den Scale des jeweiligen Bereichs.
Also man selektiert einen Punkt und die Funktion zeigt den Scale für den Bereich an.

Wie gesagt, wenn ich mich nicht irre gibt es die Scale Area nur in Mechanical.

Das macht es nicht gerade leichter viel darüber zu finden.

Deshalb erhoffe ich mir hier Hilfe.

Das wäre wirklich sehr nett.

Vielen Dank im voraus,
Joe.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 02. Jan. 2020 19:51    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JoeCadler 10 Unities + Antwort hilfreich

Zunächst brauchst du eine Funktion welche prüft ob dein Punkt innerhalb eines ScaleBereiches ist.

Also: Mögliche Objekte filtern, dabei kannst du einschränken auf Objekte mit
XDaten der Applikation GENIUS_GENSCREG_15, dann prüfen ob dein Punkt innerhalb liegt.

Diese Funktion 'Punkt in Polygon?' wird sehr oft benötigt und du findest viele Beispiele,
am häufigsten in Verbindung mit "Auswahl anhand Polygon" oder auch "Block Auswertungen pro Raum",
sucht man mit englischen Begriffen wird man über alle Methoden stolpern.
(Leider gibt es in Lisp keine fertige native LispFunktion dafür)

Dann schaust du dir die XDaten des Objektes an, der erste 1040er wird es wohl sein.


Befehl: (assoc -3 (entget (car(entsel)) '("GENIUS_GENSCREG_15")))
Objekt wählen: (-3 ("GENIUS_GENSCREG_15" (1040 . 0.25) (1040 . 1.0) (1011 2162.4 1489.09 0.0) (1011 2250.45 1535.45 0.0) (1070 . 2)))


PS: Ich habe damit nichts am Hut, ich kann also nicht ausschließen ob es da noch mehr zu beachten gibt.
Da du den Faktor möchtest, bedenke dabei evtl. auch deinen Mechanical "globalen Maßstab", also der Maßstab der nicht durch eine AM ScaleArea begrenzt wird.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JoeCadler
Mitglied


Sehen Sie sich das Profil von JoeCadler an!   Senden Sie eine Private Message an JoeCadler  Schreiben Sie einen Gästebucheintrag für JoeCadler

Beiträge: 3
Registriert: 02.01.2020

AutoCad 2018 mechanical, AutoCad 2018

erstellt am: 02. Jan. 2020 22:34    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Cadffm,
vielen Dank für deine schnelle Antwort.

Mein Problem ist aber nicht unbedingt das, das ich bestimmen muss ob ein Punkt in einem Polygon liegt.
Ich glaube das kriege ich noch hin.

Mein Problem liegt eher darin den Scale dann abzurufen.
Ich kann nichts finden wie man einen Scale eines Scaleareas im Modelbereich bei Acad Mechanical abruft.

Gruß, Joe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 02. Jan. 2020 22:39    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JoeCadler 10 Unities + Antwort hilfreich

Du kannst meine Antwort aber schon komplett von 'Zunächst brauchst' bis 'AM ScaleArea begrenzt wird' lesen, oder  

Denn neben weiteren Informationen habe ich doch genau auf deine Frage die Antwort gepostet,
wenngleich ich kein 'that´s all' geträllert habe - einfach weil ich mit MECH keine
Erfahrung habe und es mehr wie den einen Punkt geben könnte.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

cadffm
Moderator
良い精神




Sehen Sie sich das Profil von cadffm an!   Senden Sie eine Private Message an cadffm  Schreiben Sie einen Gästebucheintrag für cadffm

Beiträge: 19657
Registriert: 03.06.2002

System: F1
und Google

erstellt am: 02. Jan. 2020 23:05    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities Nur für JoeCadler 10 Unities + Antwort hilfreich

Oder interessiert dich der Massstab-"NAME" anstatt des Text-scale-Faktors?
Das ist kein gespeicherter Name sondern ein errechneter Massstab in der Anzeige.

Der Längenfaktor steht als 2. 1040er in den XDaten der gleichen Applikation,
aber das hast du sicher schon gesehen, nun habe ich keine Ahnung was sonst noch gemeint
sein könnte.

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

JoeCadler
Mitglied


Sehen Sie sich das Profil von JoeCadler an!   Senden Sie eine Private Message an JoeCadler  Schreiben Sie einen Gästebucheintrag für JoeCadler

Beiträge: 3
Registriert: 02.01.2020

AutoCad 2018 mechanical, AutoCad 2018

erstellt am: 03. Jan. 2020 13:21    Editieren oder löschen Sie diesen Beitrag!  <-- editieren / zitieren -->   Antwort mit Zitat in Fett Antwort mit kursivem Zitat    Unities abgeben: 1 Unity (wenig hilfreich, aber dennoch)2 Unities3 Unities4 Unities5 Unities6 Unities7 Unities8 Unities9 Unities10 Unities

Hallo Cadffm,
oh shit Du hast recht.
Ich hatte die Antwort tatsächlich nicht bis zum Ende gelesen.
Ich hätte schwören können das beim letzten mal nur der obere Teil angezeigt wurde.
Keine Ahnung wie mir das passieren konnte.
Egal.

Mit der kompletten Antwort hat sich auch die Lösung gezeigt. :-)

(1040 . 0.25)  hat tatsächlich den gesuchten Scalewert.

Vielen Dank für deine schnelle, kompetente Hilfe.
Joe

Eine Antwort auf diesen Beitrag verfassen (mit Zitat/Zitat des Beitrags) IP

Anzeige.:

Anzeige: (Infos zum Werbeplatz >>)

Darstellung des Themas zum Ausdrucken. Bitte dann die Druckfunktion des Browsers verwenden. | Suche nach Beiträgen

nächster neuerer Beitrag | nächster älterer Beitrag
Antwort erstellen


Diesen Beitrag mit Lesezeichen versehen ... | Nach anderen Beiträgen suchen | CAD.de-Newsletter

Administrative Optionen: Beitrag schliessen | Archivieren/Bewegen | Beitrag melden!

Fragen und Anregungen: Kritik-Forum | Neues aus der Community: Community-Forum

(c)2020 CAD.de | Impressum | Datenschutz